# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceRegistration

Packages that use IRemoteServiceRegistration
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IRemoteServiceRegistration in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement IRemoteServiceRegistration
Modifier and Type
Class
Description
`class`
`RemoteServiceRegistrationImpl`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteServiceRegistration
Modifier and Type
Method
Description
`IRemoteServiceRegistration`
RegistrySharedObject.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`
`IRemoteServiceRegistration`
RemoteServiceContainer.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`

## Uses of IRemoteServiceRegistration in org.eclipse.ecf.remoteservice

Subinterfaces of IRemoteServiceRegistration in org.eclipse.ecf.remoteservice
Modifier and Type
Interface
Description
`interface`
`IExtendedRemoteServiceRegistration`
Classes in org.eclipse.ecf.remoteservice that implement IRemoteServiceRegistration
Modifier and Type
Class
Description
`class`
`RemoteServiceRegistrationImpl`
`class`
`RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration`
Methods in org.eclipse.ecf.remoteservice that return IRemoteServiceRegistration
Modifier and Type
Method
Description
`IRemoteServiceRegistration`
IOSGiRemoteServiceContainerAdapter.`registerRemoteService(String[] clazzes, ServiceReference aServiceReference, Dictionary properties)`
Register a new remote service.
`IRemoteServiceRegistration`
IRemoteServiceContainerAdapter.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`
Register a new remote service.
`IRemoteServiceRegistration`
IRemoteServiceHost.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`
Register a new remote service.
`IRemoteServiceRegistration`
RemoteServiceContainerAdapterImpl.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceRegistration
Modifier and Type
Method
Description
`void`
IRemoteServiceCallPolicy.`checkRemoteCall(ID fromID, IRemoteServiceRegistration registration, IRemoteCall remoteCall)`
The following method is to be called before the remote service method call to check if the remote service method call is authorized.

## Uses of IRemoteServiceRegistration in org.eclipse.ecf.remoteservice.client

Classes in org.eclipse.ecf.remoteservice.client that implement IRemoteServiceRegistration
Modifier and Type
Class
Description
`class`
`AbstractRSAClientContainer.RSAClientRegistration`
`class`
`RemoteServiceClientRegistration`
Registrations for `AbstractClientContainer`.
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteServiceRegistration
Modifier and Type
Method
Description
`IRemoteServiceRegistration`
AbstractClientContainer.`registerCallables(Class<?> serviceType, IRemoteCallable[] callables, Dictionary properties)`
`IRemoteServiceRegistration`
AbstractClientContainer.`registerCallables(String[] clazzes, IRemoteCallable[][] callables, Dictionary properties)`
`IRemoteServiceRegistration`
AbstractClientContainer.`registerCallables(IRemoteCallable[] callables, Dictionary properties)`
`IRemoteServiceRegistration`
IRemoteServiceClientContainerAdapter.`registerCallables(String[] serviceInterfaceNames, IRemoteCallable[][] remoteCallables, Dictionary properties)`
Register remoteCallables for given serviceInterfaceNames.
`IRemoteServiceRegistration`
IRemoteServiceClientContainerAdapter.`registerCallables(IRemoteCallable[] remoteCallables, Dictionary properties)`
Register remoteCallables for remote service client.
`IRemoteServiceRegistration`
AbstractClientContainer.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`

## Uses of IRemoteServiceRegistration in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IRemoteServiceRegistration
Modifier and Type
Class
Description
`protected class`
`AbstractRestClientContainer.RestRemoteServiceClientRegistration`

## Uses of IRemoteServiceRegistration in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return IRemoteServiceRegistration
Modifier and Type
Method
Description
`IRemoteServiceRegistration`
ServletServerContainer.`registerRemoteService(String[] clazzes, Object service, Dictionary properties)`